Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.async
Class DOMBuilderBeanInfo

`java.lang.Object
java.beans.SimpleBeanInfo
oracle.xml.async.DOMBuilderBeanInfo`

All Implemented Interfaces:
  java.beans.BeanInfo

      public class DOMBuilderBeanInfo

extends java.beans.SimpleBeanInfo

This class provides information about the DOMBuilder Bean.

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`DOMBuilderBeanInfo()` The default Constructor

Method Summary
`java.awt.Image` `getIcon(int iconKind)` Gets an image object that can be used to represent `DOMBuilder` bean in toolbars, toolboxes, etc.
`java.beans.PropertyDescriptor[]` `getPropertyDescriptors()` Gets the `DOMBuilder` bean's `PropertyDescriptors`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMBuilderBeanInfo

    public DOMBuilderBeanInfo()

  The default Constructor

Method Detail

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  Gets the `DOMBuilder` bean's `PropertyDescriptors`
  Specified by:
    `getPropertyDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`
  Returns:
    An array of PropertyDescriptors describing the editable properties supported by `DOMBuilder` bean.

### getIcon

    public java.awt.Image getIcon(int iconKind)

  Gets an image object that can be used to represent `DOMBuilder` bean in toolbars, toolboxes, etc.
  Specified by:
    `getIcon` in interface `java.beans.BeanInfo`
  Overrides:
    `getIcon` in class `java.beans.SimpleBeanInfo`
  Parameters:
    `iconKind` - The kind of icon requested.
  Returns:
    An image object representing the requested icon type for `DOMBuilder` bean.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.